Subject: Problem installing Tcl Perl module
From: Per Magne Knutsen <[email-masked]>
To: Cygwin Users <[email-masked]>
Date: Sat, 26 Jan 2002 02:12:54 +0200

I need to install the Perl Tcl and Tcl::Tk modules from CPAN.

At the end of the installation, make fails. I think this is related to some libraries the CPAN module cannot 
find, specifically referenced as:

-ltcl -ltk and -lX11

I think whats happening (supposed to happen...) is that these libraries are supposed to be linked during 
compiling, but make cannot find them?? I don't know gcc, nor make, that very well som maybe I'm 
wrong here.

After installing XFree86, iI got rid of error messages complaining about missing tk and X11 libraries. I still 
get the one for tcl. I installed both tcltk libraries and Perl via setup.exe. I am all a bit confused at the time 
being. Is tcl actually installed when installing the tcltk libraries? eg. how do I launch tcl? There is no tcl 
command that I can find, eg. like Perl

Can anyone suggest how to proceed from here? Why cannot make find the tcl library?

Per Magne Knutsen

Department of Neurobiology
Weizmann Institute of Science
Rehovot, Israel

Phone: +972 (0)8 934 2604
Fax: +972 (0)8 934 4140
Cellular: +972 (0)55 675 289

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/